Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.payloads
Class AbstractEncoder

    java.lang.Object
      org.apache.lucene.analysis.payloads.AbstractEncoder

All Implemented Interfaces:
  PayloadEncoder

Direct Known Subclasses:
  FloatEncoder, IdentityEncoder, IntegerEncoder

    public abstract class AbstractEncoder

extends Object
implements PayloadEncoder

Base class for payload encoders.

Constructor Summary
`AbstractEncoder()`

Method Summary
`BytesRef` | `encode(char[] buffer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.lucene.analysis.payloads.PayloadEncoder
`encode`

Constructor Detail

### AbstractEncoder

    public AbstractEncoder()

Method Detail

### encode

    public BytesRef encode(char[] buffer)

  Specified by:
    `encode` in interface `PayloadEncoder`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.